eu.smoser.dungeongenerator.dungeon

## Class Dungeon

- java.lang.Object
- - eu.smoser.dungeongenerator.dungeon.Dungeon

    public class Dungeon
    extends java.lang.Object

Stores all information about the dungeon

### Nested Class Summary

Nested Classes
`static class` `Dungeon.Mode` Different room generation sequence modes
`static class` `Dungeon.Type` The type of rooms to generate

### Constructor Summary

Constructors
Constructor and Description
`Dungeon(int size, Dungeon.Type type)` Standard constructor, creates a new dungeon

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static boolean` `Experimental(Dungeon.Type n)` Checks whether a type is experimental
`void` `generate(int size, Dungeon.Type type, Dungeon.Mode mode)` Generates the dungeons contents
`java.util.HashMap` `GetGreedyMap()` Returns the greedy map
`static boolean` `Natural(Dungeon.Type n)` Checks whether a type is natural
`org.jgrapht.UndirectedGraph` `toGraph()` Creates a graph from the dungeon
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Dungeon

    public Dungeon(int size,
                   Dungeon.Type type)

Standard constructor, creates a new dungeon

Parameters:
  `size` - maximum number of rooms
  `type` - how the rooms are to construct

### Method Detail

#### GetGreedyMap

    public java.util.HashMap GetGreedyMap()

Returns the greedy map

Returns:

#### generate

    public void generate(int size,
                         Dungeon.Type type,
                         Dungeon.Mode mode)

Generates the dungeons contents

Parameters:
  `size` - Size of the dungeon
  `type` - type of environment
  `mode` - generation mode

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### toGraph

    public org.jgrapht.UndirectedGraph toGraph()

Creates a graph from the dungeon

Returns:
  UndirectedGraph from JGraphT

#### Natural

    public static boolean Natural(Dungeon.Type n)

Checks whether a type is natural

Parameters:
  `n` - type to check
Returns:
  is natural

#### Experimental

    public static boolean Experimental(Dungeon.Type n)

Checks whether a type is experimental

Parameters:
  `n` - type to check
Returns:
  is experimental